<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>女性のためのラーメンデータベース | スレッド更新</title>
    <!-- header.cssの読み込み -->
    <link href="css/header.css" rel="stylesheet" type="text/css" />
    <!-- Bootstrapの読み込み -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
        integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
</head>

<body>
    <!-- ヘッダー -->
    <header>
        <nav class="navbar navbar-dark navbar-expand  flex-md-row justify-content-end header-one">
            <ul class="navbar-nav navbar-dark flex-row mr-auto header-two">
                <li class="nav-item active">
                    <!-- ページタイトル、スレッド一覧へのリンク -->
                    <a class="nav-link" href="top.html">女性のためのラーメンデータベース</a>
                </li>
            </ul>
            <ul class="navbar-nav flex-row">
                <!-- ログインユーザー名表示、更新ページへのリンク -->
                <li class="nav-item"><a class="nav-link" href="user_thread_list.html">${userInfo.name}さん</a></li>
                <!-- ログアウトリンク -->
                <li class="nav-item"><a class="nav-link" href="login.html">ログアウト</a>
                </li>
            </ul>
        </nav>
    </header>


    <div class="container mt-6">
        <div class="row">
            <div class="col-3 mx-auto">
                <h3>投稿更新</h3>
            </div>
        </div>

        <div class="row">
            <div class="col-6 offset-3">
                <!-- エラーメッセージ start -->
                <c:if test="${errMsg != null}">
                    <div class="alert alert-danger" role="alert">${errMsg}</div>
                </c:if>
                <!--エラーメッセージ  end  -->
            </div>
        </div>

        <div class="row">
            <div class="col-6 offset-3">
                <!--   スレッド投稿フォーム   -->
                <form method="post" action="ThreadAddServlet">
                    
                    <div class="form-group row">
                        <label for="title" class="control-label col-2">店名</label>
                        <div class="col-4">
                            <!-- 店名入力 -->
                            <input type="text" name="name" class="form-control" id="shop-name" value="${shop.name}">
                        </div>
                        <label for="score" class="col-2 col-form-label">点数</label>
                        <div class="col-4">
                            <!-- 点数入力 -->
                            <input type="number" name="score" class="form-control" id="shop-score" value="${shop.score}">
                        </div>
                    </div>

                    <div class="form-group row">
                        <label class="col-2 col-form-label">金額</label>
                        <div class="col-10">
                            
                                <!-- 金額 -->
                                    <input type="text" name="price" class="form-control" id="price" value="${price}">
                                </div>
                        </div>
                    
                    
                    <div class="form-group row">
                        <label for="shop-plase" class="control-label col-3">	都道府県</label>
                        <div class="col-9">
                            <!-- 都道府県 -->
                    
                <select name="pref">
                    <option value="" selected></option>
                    <option value="1">北海道</option>
                    <option value="2">青森県</option>
                    <option value="3">岩手県</option>
                    <option value="4">宮城県</option>
                    <option value="5">秋田県</option>
                    <option value="6">山形県</option>
                    <option value="7">福島県</option>
                    <option value="8">茨城県</option>
                    <option value="9">栃木県</option>
                    <option value="10">群馬県</option>
                    <option value="11">埼玉県</option>
                    <option value="12">千葉県</option>
                    <option value="13">東京都</option>
                    <option value="14">神奈川県</option>
                    <option value="15">新潟県</option>
                    <option value="16">富山県</option>
                    <option value="17">石川県</option>
                    <option value="18">福井県</option>
                    <option value="19">山梨県</option>
                    <option value="20">長野県</option>
                    <option value="21">岐阜県</option>
                    <option value="22">静岡県</option>
                    <option value="23">愛知県</option>
                    <option value="24">三重県</option>
                    <option value="25">滋賀県</option>
                    <option value="26">京都府</option>
                    <option value="27">大阪府</option>
                    <option value="28">兵庫県</option>
                    <option value="29">奈良県</option>
                    <option value="30">和歌山県</option>
                    <option value="31">鳥取県</option>
                    <option value="32">島根県</option>
                    <option value="33">岡山県</option>
                    <option value="34">広島県</option>
                    <option value="35">山口県</option>
                    <option value="36">徳島県</option>
                    <option value="37">香川県</option>
                    <option value="38">愛媛県</option>
                    <option value="39">高知県</option>
                    <option value="40">福岡県</option>
                    <option value="41">佐賀県</option>
                    <option value="42">長崎県</option>
                    <option value="43">熊本県</option>
                    <option value="44">大分県</option>
                    <option value="45">宮崎県</option>
                    <option value="46">鹿児島県</option>
                    <option value="47">沖縄県</option>
                  </select>
                        </div>
                        </div>
                        <!--行きやすさ-->
                        <div class="row">
                                <label for="useful" class="control-label col-3"> 接客</label>
                                <div class="col-9">
                            <input type="range" class="form-control"  min="0" max="100">
                          </div>
                        </div>
                        
                        
                        <!--量-->
                        <div class="row">
                            <label for="volume" class="control-label col-3"> 量</label>
                            <div class="col-9">
                        <input type="range" class="form-control"  min="0" max="100">
                        </div>
                        </div>
                        
                   
                  <div class="row">
                    <label for="taste" class="control-label col-3">味</label>
                    <div class="col-9">
                        <!--   味  -->
                  <input type="radio" name="taste" value="simple">あっさり
                  <input type="radio" name="taste" value="heavy">こってり
                    </div>
                    </div>

                     <!-- 写真 -->
                    <div class="row">
                        <label for="picture" class="control-label col-4"> 写真</label>
                      <label for="file" class="control-label col-8">アップロードするファイルを選択してください</label>
                    </div>
                    <div class="row">
                          <div class="col-6">
                            <input type="file" id="file" name="file" multiple />
                          </div>
                          <div class="col-6">
                            <input type="file" id="file" name="file" multiple />
                          </div>
                          
                          </div>

                    <div class="form-group row">
                        <label for="body" class="control-label col-2">本文</label>
                        <div class="col-10">
                            <!-- スレッドの本文 入力 -->
                            <textarea class="form-control" id="body" name="body" rows="4">${body}</textarea>
                        </div>
                    </div>
                    <div>
                        <button type="submit" class="btn btn-primary btn-block form-submit">投稿</button>
                    </div>
                </form>
                <div class="row mt-3">
                    <div class="col">
                        <!-- スレッド一覧ページに戻るリンク -->
                        <a href="thread_list.html" class="text-primary">戻る</a>
                    </div>
                </div>
            </div>

</body>

</html>